com.smartxls

## Interface Table

-     public interface Table

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCalculatedColumn(java.lang.String colName, java.lang.String formula)`
    `java.lang.String` | `getAltText()`
    `java.util.ArrayList<TableColumn>` | `getColumns()`
    `java.lang.String` | `getDisplayName()`
    `int` | `getIndex()`
    `java.lang.String` | `getName()`
    `TableBuiltInStyles` | `getTableBuiltInStyles()`
    `int` | `getTotalRowCount()`
    `boolean` | `isRowStripes()`
    `void` | `setAltText(java.lang.String value)`
    `void` | `setColumnTotalsFunc(java.lang.String colName, int func)`
    `void` | `setDisplayName(java.lang.String value)`
    `void` | `setIndex(int value)`
    `void` | `setName(java.lang.String value)`
    `void` | `setRowStripes(boolean value)`
    `void` | `setTableBuiltInStyles(TableBuiltInStyles value)`
    `boolean` | `setTableCustomStyle(java.lang.String value)`
    `void` | `setTotalRow(boolean show, java.lang.String totalLabel)`
    `void` | `setTotalRowCount(int value)`

- - ### Method Detail

    - #### getTableBuiltInStyles

          TableBuiltInStyles getTableBuiltInStyles()

    - #### setTableBuiltInStyles

          void setTableBuiltInStyles(TableBuiltInStyles value)

    - #### setTableCustomStyle

          boolean setTableCustomStyle(java.lang.String value)

    - #### getColumns

          java.util.ArrayList<TableColumn> getColumns()

    - #### getName

          java.lang.String getName()

    - #### setName

          void setName(java.lang.String value)

    - #### getAltText

          java.lang.String getAltText()

    - #### setAltText

          void setAltText(java.lang.String value)

    - #### getDisplayName

          java.lang.String getDisplayName()

    - #### setDisplayName

          void setDisplayName(java.lang.String value)

    - #### getIndex

          int getIndex()

    - #### setIndex

          void setIndex(int value)

    - #### isRowStripes

          boolean isRowStripes()

    - #### setRowStripes

          void setRowStripes(boolean value)

    - #### getTotalRowCount

          int getTotalRowCount()

    - #### setTotalRowCount

          void setTotalRowCount(int value)

    - #### addCalculatedColumn

          void addCalculatedColumn(java.lang.String colName,
                                   java.lang.String formula)

    - #### setColumnTotalsFunc

          void setColumnTotalsFunc(java.lang.String colName,
                                   int func)

    - #### setTotalRow

          void setTotalRow(boolean show,
                           java.lang.String totalLabel)